Subject: Re: [Ghost] This could be really useful

From: Kathleen Moriarty <[email-masked]>
Date: Mon, 3 Aug 2015 08:37:52 -0400

Thanks for starting the conversation.  When we first started talking about
this, it was not meant to be a repository, but rather a connection of links
and an easier way to find options for a particular problem (authentication,
etc.).  As such, we thought through a proposed structure outlined in a
google doc.

The structure is just proposed and reviews and comments to the list would
be very helpful to see if we can work towards an agreed structure.

Here is the link, please do post reviews and comment either on list or in
the google doc.  If you comment in the Google doc describing the structure,
please let the list know as not all will be notified.

https://docs.google.com/document/d/1VR4eR0mZohJ1vWy3dpyHg-w56qm4KjQG06V9TyNqP70/edit#

Thank you,
Kathleen

On Sat, Aug 1, 2015 at 12:10 AM, Tom Ritter <[email-masked]> wrote:

> On Jul 30, 2015 1:35 PM, "Boyle, Vincent M" <[email-masked]> wrote:
> > If we can  document actual implementation in some way that is fair and
> > accurate (not easily gamed by people with proprietary interests), that
> > would be great!
>
> Test suites would go a long way towards documenting implementation
> status, and promoting interoperable bug-free implementations. I dream
> of a day where we have a full, open source test suite for (say) TLS
> that operates at the TCP layer. It attempts to talk various flavors of
> correct and incorrect TLS with a client or server, and makes sure the
> other responds when it should and doesn't when it shouldn't.
>
> We can hope vendors will use it... but the next step is actually to
> push it towards the organizations doing the purchasing.  "Let me run
> this test suite against your product.  Turns out it has a bug with CBC
> Padding, chokes on extensions it doesn't understand, and is intolerant
> if you try to negotiate a higher, unknown protocol version.  Go fix
> those bugs, show me the patch, and I'll buy."
>
> -tom
>
> _______________________________________________
> GHOST mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ghost
>

-- 

Best regards,
Kathleen